### Property

# Ide TreeNode:item

#### Declaration

    property item: GObject.Object [ read, write ]

#### Description

The “item” property is an optional `GObject` that can be used to store information about the node, which is sometimes useful when creating `IdeTreeAddin` plugins.

Type: | `GObject`
Available since: | 3.32

Setter method | `ide_tree_node_set_item()`
Getter method | `ide_tree_node_get_item()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no